# -*- coding: utf-8 -*-
from flask import Flask, render_template, request
import subprocess
import os
import time
import datetime
import smbus2
import bme280
bus = smbus2.SMBus(1) 

# Flaskのインスタンスの作成
app = Flask(__name__)

# 「/」にアクセスしたときの処理
@app.route("/")
def gettemp():
    dat = bme280.sample(bus, 0x76)
    spl = str(dat).split(",")
    temp=spl[2]
    pressure=spl[3]
    humidity=spl[4][:-1]
    now = str(datetime.datetime.now())[:-7]
    tmp=[now,temp,pressure,humidity] 
    return render_template("gettemp.html",temp = tmp)
# 「/acttemp」にアクセスしたときの処理
@app.route("/acttemp", methods=["GET","POST"])
def acttemp():
    f = open("/home/pi/tom/data/sys.txt","r")
    ivl = f.read()
    f.close()
    f = open("/home/pi/tom/data/text.txt","r")
    msg = ""
    while True :
        data = f.readline()
        if data == "" :
            break
        msg = msg + data
    f.close()
    if "POST" == request.method:
        cmd = request.form["cmd"]
        val = request.form["val"]
        if cmd == "clr":
            f = open("/home/pi/tom/data/text.txt","w")
            f.write("")
            f.close()
        if cmd == "set":
            f = open("/home/pi/tom/data/sys.txt","w")
            f.write(str(val))
            f.close()
    return render_template("acttemp.html",ivl=ivl,msg=msg)


# 「Ctrl + C」による終了時の処理
def sigint_handler(signal, frame):
    #app.logger.debug("Closed")
    sys.exit(0)

# メイン関数
if __name__ == "__main__":
    proc = subprocess.Popen(["python3","tom/sensor280.py"])
    print("温度・気圧・湿度・測定開始")

    # Flaskインスタンス実行
#   app.run("0.0.0.0", port=5000,debug=True) # デバッグ出力する実行
    app.run("0.0.0.0", port=5000) # デバッグ出力しない実行
